# For Non-Truecaller users verification flow

Once the SDK shares the *accessToken* for any user verified via drop call / OTP based verificaiton flow, you can verify the authenticity of the access token by making API call from your server to Truecaller's server. The following endpoint will return phone number and country code for the given access token.

**API Endpoint:**

Copy

```
"https://sdk-otp-verification-noneu.truecaller.com/v1/otp/installation/phoneNumberDetail/{accessToken}"
```

**REQUEST :**

**Method :** GET

**Header Parameters:**

| **Parameter Name** | **Required** | **Description**         | **Example**                            |
| ------------------ | ------------ | ----------------------- | -------------------------------------- |
| appKey             | yes          | App Key ( Partner Key ) | zHTqS70ca9d3e988946f19a65a01dRR5e56460 |

**Request Path Parameters:**

| **Parameter Name** | **Required** | **Description**                                                                   | **Example**                            |
| ------------------ | ------------ | --------------------------------------------------------------------------------- | -------------------------------------- |
| accessToken        | yes          | token granted for the partner for the respective user number that initiated login | "71d8367e-39f7-4de5-a3a3-2066431b9ca8" |

**RESPONSE:**

* 200 OK - *If access token is valid*

Copy

```
{
    "phoneNumber":919999XXXXX9
    "countryCode":"IN"
}
```

* 404 Not Found - *If your credentials are not valid*

Copy

```
{
    "code":404
    "message":"Invalid partner credentials."
}
```

* 404 Not Found - *If access token is invalid*

Copy

```
{
    "code":1404
    "message":"Invalid access token."
}
```

* 500 Internal Error - *for any other internal error*

Copy

```
{
    "code":500
    "message":"error message"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0-deprecating-soon/server-side-response-validation/for-non-truecaller-users-verification-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
